Subject: emacs-all-the-icons missing all the icons

From: Leo Prikler <[email-masked]>
Date: Fri, 28 May 2021 11:40:43 +0200

Pardon the pun in the title.

The problem:
  emacs-all-the-icons has a subdirectory fonts, that it wants installed
  to share/fonts (currently, they are installed to its own fonts 
  directory).  Some of them are vendored, but at least one seems to be
  genuinely their own.

Proposed solution:
  Make it, so that emacs-all-the-icons installs its own fonts to 
  share/data and copies vendored fonts from inputs where packages can 
  be found.

Note, that this won't work for a setup with all-the-icons in a non-
default profile or ad-hoc environment (compare #31403).  Would everyone
be fine with the proposed solution or is there a better one?

Regards,
Leo